<?php
/**
 * Custom header implementation
 *
 * @link https://codex.wordpress.org/Custom_Headers
 *
 * @package Fitness Exercise Hub
 * @subpackage fitness_exercise_hub
 */

function fitness_exercise_hub_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'fitness_exercise_hub_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1600,
		'height'                 => 400,
		'flex-height'			 => true,
		'flex-width'			 => true,
		'wp-head-callback'       => 'fitness_exercise_hub_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'fitness_exercise_hub_custom_header_setup' );

if ( ! function_exists( 'fitness_exercise_hub_header_style' ) ) :
add_action( 'wp_enqueue_scripts', 'fitness_exercise_hub_header_style' );
function fitness_exercise_hub_header_style() {
	if ( get_header_image() ) :
	$custom_css = "
        .header-box{
			background-image:url('".esc_url(get_header_image())."') !important;
			background-position: center top !important;
		}";
	   	wp_add_inline_style( 'fitness-exercise-hub-style', $custom_css );
	endif;
}
endif;
